/**
 * memdmp.cc :
 *   defines memdump utility function
 */ 
#ifndef __MEMDMP_CC__
#define __MEMDMP_CC__

#include "memdmp.h"
#include <string.h>

const int memdmp_debug_flag = 1; // DEBUG FLAG

void memdmp(char* buf, unsigned int len){
	if(len == 8){ // this section just for ease of reading addresses
		const char patternAB[8] = {192,168,100,2,192,168,200,2};
		const char patternBA[8] = {192,168,200,2,192,168,100,2};
		if(!memcmp(buf, patternAB, len)){
			printf(" A -> B ");
			return;
		}
		if(!memcmp(buf, patternBA, len)){
			printf(" B -> A ");
			return;
		}
	}
	unsigned int i = 0;
	for(; i < len; i++)
		printf("%02x", buf[i] & 0xFF);
}

void bug(const char* buf){
	if(memdmp_debug_flag){
		printf("...%s", buf);
	}
}

#endif  // ifndef __MEMDMP_CC__
