/*
 * netfilter-constants.h
 *
 * Defines common values across all EIP components using netfilter queue and netlink libraries.
 *
 */
#ifndef __NETFILTER_CONSTANTS_H__
#define __NETFILTER_CONSTANTS_H__

#define NF_QUEUE_NUM 7
#define NF_BUFFER_LEN 16110 // was 9152, increased to support largest known real-world MTU value

// these constants are specific to this implementation, not to netfilter
#define NF_MSS_VALUE 6500 // MSS value trick: the MSS will be set lower than the MTU, leaving room for additional data in packet
#define NF_OVERHEAD_BYTES 2 // extra bytes to leave at the end of each packet for storing the original IP total length
#define NF_PACKET_BUFFER_SIZE 16000 // size of buffer for creating new packets

#endif // __NETFILTER_CONSTANTS_H__

